<?php
include_once('incs/conf.php');
include_once('incs/fmysql.php');
include_once('incs/fnc.php');
include_once('incs/head.php');

$id = intval($_GET['id']);
$act = fil($_GET['act']);
$p = fil($_GET['p']);

if($settings['obmen']==1){
head('Обменник',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo 'Обменник</div>';
echo 'Раздел закрыт<br>';
include_once('incs/down.php');
}

if($on==1){
$gde='obmen';
mysql_query("UPDATE `user` SET `time_gde` = '$time', `gde` = '$gde' WHERE `id` = '$user[id]'");
}
$gde_user = mysql_num_rows(mysql_query("SELECT `id` FROM `user` WHERE `gde` = '$gde' AND `time_gde` > '".($time-180)."'"));
$obm_id=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` = '$id'"));

$ban_ok=$user['ban']-$time;
if($ban_ok>0){
head('Обменник',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo 'Обменник</div>';

echo 'Вы забанены по причине:<br>';
echo '<b>'.$user['ban_prich'].'</b><br>';
echo 'До окончания бана осталось: '.$ban_ok.' сек.<br>';
echo 'Старайтесь больше не нарушать <a href=\'rules.php\'>правила</a> сайта!<br>';
include_once('incs/down.php');
}

switch($act){

case 'top_sto':
head('Обменник - TOP 100',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - TOP 100</div>';

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `obmen` WHERE `ras` != '' AND `k_loads` >='0'"));
if ($k_post==0)
{
echo 'Нет файлов<br>';
}

if($on==1){
$end=$user['msg_for_page'];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$obm_t=mysql_query("SELECT * FROM `obmen` WHERE `ras` != '' ORDER BY k_loads DESC LIMIT $start,$end");
while ($obm_fil = mysql_fetch_array($obm_t))
{
if($num==1){
echo '<div class=\'reki\'>'; 
$num=0;
}else{ 
echo '<div class=\'rek\'>'; 
$num=1;}
echo '<img src=\'styles/img/ob.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$obm_fil['id'].'\'>'.$obm_fil['name'].'</a><br>';
$chast = substr(''.$obm_fil['opis'].'', 0, 100);
echo ''.$chast.'...<br>';
$ob_kom = mysql_num_rows(mysql_query("SELECT id FROM `obmen_post` WHERE `id_file` = '$obm_fil[id]'"));
$file_size=round($obm_fil['size']/1024,1);
echo 'Размер: '.$file_size.' Кб | Ком: '.$ob_kom.' | Скачиваний: '.$obm_fil['k_loads'].'</div>';
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo '<span class=\'str_t\'>'.$i.'</span>';
}else{
echo '<span class=\'str_l\'><a href=\'?act=top_sto&page='.$i.'\'>'.$i.'</a></span>';
}}}
include_once('incs/down.php');
break;

case 'top_new':

head('Обменник - Новые файлы',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - Новые файлы</div>';

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `obmen` WHERE `ras` != ''"));
if ($k_post==0)
{
echo 'Нет новых файлов<br>';
}

if($on==1){
$end=$user['msg_for_page'];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$obm_t=mysql_query("SELECT * FROM `obmen` WHERE `ras` != '' ORDER BY id DESC LIMIT $start,$end");
while ($obm_fil = mysql_fetch_array($obm_t))
{
if($num==1){ 
echo '<div class=\'reki\'>'; 
$num=0;
}else{ 
echo '<div class=\'rek\'>'; 
$num=1;}
echo '<img src=\'styles/img/ob.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$obm_fil['id'].'\'>'.$obm_fil['name'].'</a><br>';
$chast = substr(''.$obm_fil['opis'].'', 0, 100);
echo ''.$chast.'...<br>';
$ob_kom = mysql_num_rows(mysql_query("SELECT id FROM `obmen_post` WHERE `id_file` = '$obm_fil[id]'"));
$file_size=round($obm_fil['size']/1024,1);
echo 'Размер: '.$file_size.' Кб | Ком: '.$ob_kom.' | Скачиваний: '.$obm_fil['k_loads'].'</div>';
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo '<span class=\'str_t\'>'.$i.'</span>';
}else{
echo '<span class=\'str_l\'><a href=\'?act=top_new&page='.$i.'\'>'.$i.'</a></span>';
}}}
include_once('incs/down.php');
break;

case 'top_my':

head('Обменник - Мои файлы',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - Мои файлы</div>';


$k_post = mysql_num_rows(mysql_query("SELECT id FROM `obmen` WHERE `id_user` = '$user[id]'"));
if ($k_post==0)
{
echo 'Нет вашых файлов<br>';
}

if($on==1){
$end=$user['msg_for_page'];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$obm_t=mysql_query("SELECT * FROM `obmen` WHERE `id_user` = '$user[id]' ORDER BY id DESC LIMIT $start,$end");
while ($obm_fil = mysql_fetch_array($obm_t))
{
if($num==1){ 
echo '<div class=\'reki\'>'; 
$num=0;
}else{ 
echo '<div class=\'rek\'>'; 
$num=1;}
echo '<img src=\'styles/img/ob.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$obm_fil['id'].'\'>'.$obm_fil['name'].'</a><br>';
$chast = substr(''.$obm_fil['opis'].'', 0, 100);
echo ''.$chast.'...<br>';
$ob_kom = mysql_num_rows(mysql_query("SELECT id FROM `obmen_post` WHERE `id_file` = '$obm_fil[id]'"));
$file_size=round($obm_fil['size']/1024,1);
echo 'Размер: '.$file_size.' Кб | Ком: '.$ob_kom.' | Скачиваний: '.$obm_fil['k_loads'].'</div>';
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo '<span class=\'str_t\'>'.$i.'</span>';
}else{
echo '<span class=\'str_l\'><a href=\'?act=top_my&page='.$i.'\'>'.$i.'</a></span>';
}}}
include_once('incs/down.php');
break;

case 'new':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
if($_POST['name']!=''){
$name=filtr($_POST['name']);
$nom=filtr($_POST['nom']);
if($nom!=''){
$nom=$nom;
}else{
$nom=0;
}

$povtor=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` != '0' ORDER BY id DESC LIMIT 1"));
if($povtor['name']!=$name){
$id_razd_n=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` != '0' ORDER BY id_razd DESC LIMIT 1"));
mysql_query("INSERT INTO `obmen` (`id_razd`, `name`, `nom`) values('".($id_razd_n['id_razd']+1)."', '$name', '$nom')");
}else{
$sis_msg='Повторное действие<br>';
}
}else{
$err='Вы не ввели название раздела!<br>';
}
}
break;

case 'upload_ok':

head('Форум - Загрузка файла',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Форум</a> - Загрузка файла</div>';

$max_id=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` != '0' ORDER BY id DESC LIMIT 1"));
$ids=$max_id['id']+1;
$uploaddir = './obmen/';
$filename = basename($_FILES['uploadfile']['name']);
$fileformat = substr($filename,-4);
if($fileformat!=='.zip' && $fileformat!=='.rar' && $fileformat!=='.flv' && $fileformat!=='.mp3' && $fileformat!=='.3gp' && $fileformat!=='.amr' && $fileformat!=='.jar' && $fileformat!=='.png' && $fileformat!=='.jpg' && $fileformat!=='.gif' && $fileformat!=='.nth' && $fileformat!=='.thm' && $fileformat!=='.mp4' && $fileformat!=='.tar'){
echo 'Ошибка формата<br>';
}else{
$filename = $ids.$fileformat;
$uploadfile = $uploaddir.$filename;
if (copy($_FILES['uploadfile']['tmp_name'], $uploadfile)){
$opis=filtr($_POST['opis']);
$name=filtr($_POST['name']);
$size=$_FILES['uploadfile']['size'];
mysql_query("INSERT INTO `obmen` (`id_razd`, `name`, `opis`, `ras`, `id_user`, `nick`, `time`, `size`) values('$obm_id[id_razd]', '$name', '$opis', '$fileformat', '$user[id]', '$user[nick]', '".date('Y.m.d/H:i')."', '$size')");
echo 'Файл успешно загружен!<br>';
include_once('incs/down.php');
}else{
echo 'Ошибка! Не удалось загрузить файл на сервер!<br>';
echo '<a href=\'?id='.$id.'\'>Назад</a><br>';
}
}
include_once('incs/down.php');
break;

case 'upload':
head('Обменник - Загрузка файла',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - Загрузка файла</div>';

echo '<b>Загрузить файл:</b><br>';
echo '<form action=?id='.$id.'&act=upload_ok method=post enctype=multipart/form-data>
<input type=file name=uploadfile>';
echo '<br>Название:<br/><input type=\'text\' name=\'name\' maxlength=\'32\'/>';
echo '<br>Описание:<br/><textarea name=\'opis\'></textarea>';
echo '<br><input type=submit value=Загрузить></form>';

include_once('incs/down.php');

break;
case 'import_ok':

head('Обменник - Импорт файла',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - Импорт файла</div>';

$max_id=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` != '0' ORDER BY id DESC LIMIT 1"));
$ids=$max_id['id']+1;

$name = $_POST['name'];
$opis = $_POST['opis'];
$url = $_POST['url'];

if ($name!='' && $opis!='' && $url!=''){

$name = filtr($_POST['name']);
$opis = filtr($_POST['opis']);
$url = filtr($_POST['url']);

$format=substr(''.$url.'', -4);
if($format=='.zip' OR $format=='.rar' OR $format=='.flv' OR $format=='.mp3' OR $format=='.mp4' OR $format=='.jar' OR $format=='.3gp' OR $format=='.jpg' OR $format=='.gif' OR $format=='.amr' OR $format=='.nth' OR $format=='.thm' OR $format=='.png' OR $format=='.tar'){
$importfile = 'obmen/'.$ids.''.$format.'';
if(copy($url,$importfile)){

$size = filesize('obmen/'.$ids.''.$format.'');
mysql_query("INSERT INTO `obmen` (`id_razd`, `name`, `opis`, `ras`, `id_user`, `nick`, `time`, `size`) values('$obm_id[id_razd]', '$name', '$opis', '$format', '$user[id]', '$user[nick]', '".date('Y.m.d/H:i')."', '$size')");
echo 'Файл успешно импортирован, в разделе он будет отображатса после прохождения модерации.<br>';
}else{echo 'Импорт не удался!<br><br>';}
}else{echo 'Ошибка! Данный формат файла запрещен!<br><br>';}
}else{echo 'Ошибка! Отсутствуют важные данные!<br>';}
include_once('incs/down.php');
break;

case 'import':
head('Обменник - Импорт файла',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - Импорт файла</div>';

echo '<div class=\'menu\'><b>Импорт файла</b></div>';

echo '<form action=?id='.$id.'&act=import_ok method=\'post\'>';
echo '<b>URL файла</b>:<br><input type=\'text\' name=\'url\' value=\'http://\'><br>';
echo 'Название:<br><input type=\'text\' name=\'name\'><br>';
echo 'Описание:<br><textarea name=\'opis\' cols=50 rows=10></textarea><br>';
echo '<input type=\'submit\' value=\'Импортировать\'></form><br>';

include_once('incs/down.php');
break;

case 'del_yes':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
mysql_query("DELETE FROM `obmen` WHERE `id` = '$id'");
if($obm_id['ras']!=''){
unlink('obmen/'.$id.''.$obm_id['ras'].'');
}}
break;

case 'del':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
head('Обменник - Удаление',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - Удаление</div>';

if($obm_id['ras']!=''){
$chto='етот файл';
}else if($obm_id['id_razd']!=0){
$chto='етот раздел';
}

echo 'Вы уверены что хотите удалить '.$chto.'?<br>';
echo '<div class=\'menu\'><a href=\'obmen.php?id='.$id.'&act=del_yes\'>Да, уверен</a></div>';
echo '<div class=\'menu\'><a href=\'obmen.php?id='.$id.'\'>Нет, вернутса</a></div>';

include_once('incs/down.php');
}
break;

case 'mod':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
head('Обменник - Модерация',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - Модерация</div>';

if($p=='mod_ok'){
mysql_query("UPDATE `obmen` SET `mod` = '1' WHERE `id` = '$id' AND `ras` != ''");
}

if($p=='mod_del'){
mysql_query("DELETE FROM `obmen` WHERE `id` = '$id' AND `ras` != ''");
unlink('obmen/'.$id.''.$obm_id['ras'].'');
}

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `obmen` WHERE `ras` != '' AND `mod` = '0'"));
if ($k_post==0)
{
echo 'Нет файлов для модерации<br>';
}

if($on==1){
$end=$user['msg_for_page'];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$obm_fil=mysql_query("SELECT * FROM `obmen` WHERE `ras` != '' AND `mod` = '0' ORDER BY id DESC LIMIT $start,$end");
while ($obm_file = mysql_fetch_array($obm_fil))
{
if($num==1){ 
echo '<div class=\'reki\'>'; 
$num=0;
}else{ 
echo '<div class=\'rek\'>'; 
$num=1;}
echo '<img src=\'styles/img/files.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$obm_file['id'].'&p=mod\'>'.$obm_file['name'].'</a><br>';
echo '<a href=\'?id='.$obm_file['id'].'&act=mod&p=mod_ok\'>Подтвердить</a> | <a href=\'?id='.$obm_file['id'].'&act=mod&p=mod_del\'>Удалить</a></div>';
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo '<span class=\'str_t\'>$i</span>';
}else{
echo '<span class=\'str_l\'><a href=\'?act=mod&page='.$i.'\'>'.$i.'</a></span>';
}}}
include_once('incs/down.php');
}
break;

case 'new':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
if($_POST['name']!=''){
$name=filtr($_POST['name']);
$nom=filtr($_POST['nom']);
if($nom!=''){
$nom=$nom;
}else{
$nom=0;
}

$povtor=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` != '0' ORDER BY id DESC LIMIT 1"));
if($povtor[name]!=$name){
$id_razd_new=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `ras` = '' ORDER BY id_razd DESC LIMIT 1"));
$id_razd_new=$id_razd_new['id_razd']+1;
$sis_msg=''.$id_razd_new.'<br>';
mysql_query("INSERT INTO `obmen` (`id_razd`, `name`, `nom`) values('$id_razd_new', '$name', '$nom')");
}else{
$sis_msg='Повторное действие<br>';
}
}else{
$err='Вы не ввели название раздела!<br>';
}
}
break;

case 'adm':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
head('Обменник - Новый раздел',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'?\'>Обменник</a> - Новый раздел</div>';
echo '<form method=\'post\' action=\'?act=new\'>';
echo 'Название раздела:<br><input type=\'text\' name=\'name\' maxlength=\'32\'/><br>';
echo 'Место:<br/><input type=\'text\' name=\'nom\' maxlength=\'32\'/><br>';
echo '<input value=\'Создать\' type=\'submit\'/></form>';
include_once('incs/down.php');
}
break;

case 'del_post':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
mysql_query("DELETE FROM `obmen_post` WHERE `id` = '$p'");
}
break;

case 'opis':

$opis_file=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` = '$id' AND `ras` != ''"));
if($opis_file['ras']){
head('Обменник - '.$opis_file['name'].' - Описание',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - <a href=\'obmen.php?id='.$id.'\'>'.$opis_file['name'].'</a> - Описание</div>';

echo ''.str_replace('\n','<br>',$opis_file['opis']).'<br>';
}else{
head('Обменник - Ошибка - Такого файла не существует',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - Ошибка - Такого файла не существует</div>';
}
include_once('incs/down.php');
break;

case 'red_save':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
$obmen_red=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` = '$id' AND `ras` != ''"));
if($obmen_red['id']!=''){
head('Обменник - '.$obmen_red['name'].' - Редактирование файла',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'?\'>Обменник</a> - <a href=\'?id='.$id.'\'>'.$obmen_red['name'].'</a> - Редактирование файла</div>';

$name=filtr($_POST['name']);
$opis=filtr($_POST['opis']);

mysql_query("UPDATE `obmen` SET `name` = '$name', `opis` = '$opis' WHERE `id`='$id'");
echo 'Файл успешно отредактирован<br>';
include_once('incs/down.php');
}
}
break;

case 'red':
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
$obmen_red=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` = '$id' AND `ras` != ''"));
if($obmen_red['id']!=''){
head('Обменник - '.$obmen_red['name'].' - Редактирование файла',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'?\'>Обменник</a> - <a href=\'?id='.$id.'\'>'.$obmen_red['name'].'</a> - Редактирование файла</div>';

echo '<form action=\'?act=red_save&id='.$id.'\' method=\'post\'>';
echo 'Название файла:<br><input type=\'text\' name=\'name\' value='.$obmen_red['name'].' maxlength=\'50\'/><br>';
echo 'Описание:<br/><textarea name=\'opis\'>'.$obmen_red['opis'].'</textarea><br>';
echo '<input type=\'submit\' value=\'Сохранить\'/></form><br>';
include_once('incs/down.php');
}
}
break;
}

if($p=='load'){
mysql_query("UPDATE `obmen` SET `k_loads` = '".($obm_id['k_loads']+1)."' WHERE `id`='$id'");
header('Location: obmen/'.$id.''.$obm_id['ras'].'');
}

$obmen_b=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` = '$id' AND `ras` != ''"));
if($obmen_b['id']!=''){
$razd_ob=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id_razd` = '$obmen_b[id_razd]' AND `ras` = ''"));
head('Обменник - '.$razd_ob['name'].' - '.$obmen_b['name'].'',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - <a href=\'obmen.php?id='.$razd_ob['id'].'\'>'.$razd_ob['name'].'</a> - '.$obmen_b['name'].'</div>';

if($p=='dob' && $on==1){
$povtor=mysql_fetch_array(mysql_query("SELECT * FROM `obmen_post` WHERE `id` != '0' ORDER BY id DESC LIMIT 1"));
if($povtor['msg']!=filtr($_POST['msg'])){
if($_POST['msg']!=''){
$msg=$_POST['msg'];
$msg=filtr($msg);
$msg=bbcode(smiles($msg));
$name=$user['nick'];
mysql_query("INSERT INTO `obmen_post` (`id_file`, `id_user`, `nick`, `msg`, `time`) values('$obmen_b[id]', '$user[id]', '$user[nick]', '$msg', '".date('Y.m.d/H:i')."')");
}else{
echo 'Вы не заполнили поле!<br>';
}
}else{
echo 'Сообщение повторяетса!<br>';
}
}

if($obm_id['mod']==0 && $p!='mod'){
echo 'Файл еще не прошел модерацию. Подождите немного...<br>';
include_once('incs/down.php');
}

$file_size=round($obm_id['size']/1024,1);

echo '<div class=\'menu\'>'.$sis_msg.'';
echo '<b>'.$obm_id['name'].'</b><br>';
echo '<div class=\'news\'>';
echo 'Загружен: ('.$obm_id['time'].')<br>';
echo 'Размер: '.$file_size.' Кб.<br>';
echo '<div class=\'menu\'>Добавил: <b><a href=\'my.php?id='.$obm_id['id_user'].'\'>'.$obm_id['nick'].'</a></b></div></div>';
$chast = substr(''.$obm_id['opis'].'', 0, 100);
echo '<div class=\'menu\'><a href=\'?id='.$id.'&act=opis\'>Описание:</a></div>'.str_replace('\n','<br>',$chast).'...</div>';
if($on==1){
echo '<div class=\'menu\'><img src=\'styles/img/save.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$id.'&p=load\'>СКАЧАТЬ ('.$obm_id['k_loads'].')</a></div>';
}
if($on==0) {
	       echo "<div class='rowap'>Чтобы скачать файл нужно <br><a href=\"aut.php\">Войти</a> или ";
           echo "<a href=\"reg.php\">Зарегистрироватся</a><br></div>";
		   }
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
echo '<div class=\'menu\'><a href=\'obmen.php?id='.$id.'&act=red\'>Редактировать файл</a></div>';
echo '<div class=\'menu\'><a href=\'obmen.php?id='.$id.'&act=del\'>Удалить</a></div>';
}
echo '<div class=\'rowup\'>Коментарии:</div>';

if($on==1){
echo '<form method=\'post\' action=\'?id='.$id.'&page=end&p=dob\'>';
echo 'Сообщение:<br><textarea name=\'msg\'></textarea><br>';
echo '<input value=\'Отправить\' type=\'submit\'/></form>';
}

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `obmen_post` WHERE `id_file` = '$obmen_b[id]'"));
if ($k_post==0)
{
echo 'Нет коментариев!<br>';
}

if($on==1){
$end=$user['msg_for_page'];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);

if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($_GET['page']=='end'){
$page=$skok_pages;}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$obmen_file=mysql_query("SELECT * FROM `obmen_post` WHERE `id_file` = '$obmen_b[id]' ORDER BY id DESC LIMIT $start,$end");
while ($obmen_file_post = mysql_fetch_array($obmen_file))
{
if($num==1){ 
echo '<div class=\'reki\'>'; 
$num=0;
}else{ 
echo '<div class=\'rek\'>'; 
$num=1;}

$onl_off=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$obmen_file_post[id_user]'"));
if($onl_off['date_last']>($time-600)){
$off='<span style=\'color:#00bb00;\'>[ON]</span>';
}else{
$off='<span style=\'color:#ff0000;\'>[OFF]</span>';}

echo '<a href=\'my.php?id='.$obmen_file_post['id_user'].'\'>'.$obmen_file_post['nick'].'</a> '.$off.' ('.$obmen_file_post['time'].')<br>';
echo ''.str_replace('\n','<br>',$obmen_file_post['msg']).'';
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
echo '<br><a href=\'obmen.php?id='.$id.'&act=del_post&p='.$obmen_file_post['id'].'\'>Удалить</a>';
}
echo '</div>';
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo '<span class=\'str_t\'>'.$i.'</span>';
}else{
echo '<span class=\'str_l\'><a href=\'?id='.$id.'&page='.$i.'\'>'.$i.'</a></span>';
}}}
include_once('incs/down.php');
}

$obmen_a=mysql_fetch_array(mysql_query("SELECT * FROM `obmen` WHERE `id` = '$id' AND `id_razd` != '0'"));
if($obmen_a['id']!=''){
head('Обменник - '.$obmen_a['name'].'',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo '<a href=\'obmen.php\'>Обменник</a> - '.$obmen_a['name'].'</div>';

echo ''.$err.'';
echo ''.$sis_msg.'';

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `obmen` WHERE `id_razd` = '$obmen_a[id_razd]' AND `ras` !='' AND `mod` = '1'"));
if ($k_post==0)
{
echo 'Нет файлов<br>';
}

if($on==1){
$end=$user['msg_for_page'];
}else{
$end=10;}
$skok_pages=ceil($k_post/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$obm_f=mysql_query("SELECT * FROM `obmen` WHERE `id_razd` = '$obmen_a[id_razd]' AND `ras` !='' AND `mod` = '1' ORDER BY id DESC LIMIT $start,$end");
while ($obmen_f = mysql_fetch_array($obm_f))
{
if($num==1){ 
echo '<div class=\'reki\'>'; 
$num=0;
}else{ 
echo '<div class=\'rek\'>'; 
$num=1;}
echo '<img src=\'styles/img/files.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$obmen_f['id'].'\'>'.$obmen_f['name'].'</a><br>';
$chast = substr(''.$obmen_f['opis'].'', 0, 100);
echo ''.$chast.'...<br>';
$ob_kom = mysql_num_rows(mysql_query("SELECT id FROM `obmen_post` WHERE `id_file` = '$obmen_f[id]'"));
$file_size=round($obmen_f['size']/1024,1);
echo 'Размер: '.$file_size.' Кб | Ком: '.$ob_kom.' | Скачиваний: '.$obmen_f['k_loads'].'</div>';
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo '<span class=\'str_t\'>'.$i.'</span>';
}else{
echo '<span class=\'str_l\'><a href=\'?id='.$id.'&page='.$i.'\'>'.$i.'</a></span>';
}}}

if($user['level']>=0 && $on==1){
echo '<div class=\'menu\'><img src=\'styles/img/add.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$id.'&act=upload\'>Загрузить файл</a></div>';
echo '<div class=\'menu\'><img src=\'styles/img/add.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$id.'&act=import\'>Импортировать файл</a></div>';
}
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
echo '<div class=\'menu\'><a href=\'obmen.php?id='.$id.'&act=del\'>Удалить раздел</a></div>';
}
include_once('incs/down.php');
}

head('Обменник',$meuser,$auth);
echo '<div class=\'rowup\'>';
include_once('incs/title.php');
echo 'Обменник: <a href=\'?act=top_sto\'>TOP 100</a> | <a href=\'?act=top_new\'>новые файлы</a> | <a href=\'?act=top_my\'>мои файлы</a></div>';
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
$kol_files_mod = mysql_num_rows(mysql_query("SELECT id FROM `obmen` WHERE `ras` != '' AND `mod` = '0'"));
echo '<div class=\'menu\'><a href=\'?act=mod\'>Модерация</a>('.$kol_files_mod.')</div>';}

echo ''.$err.'';
echo ''.$sis_msg.'';

$k_post = mysql_num_rows(mysql_query("SELECT id FROM `obmen` WHERE `ras` = ''"));
if ($k_post==0)
{
echo 'Нет разделов<br>';
}

$raz=mysql_query("SELECT * FROM `obmen` WHERE `ras` = '' ORDER BY nom ASC");
while ($razd = mysql_fetch_array($raz))
{
if($num==1){ 
echo '<div class=\'reki\'>'; 
$num=0;
}else{ 
echo '<div class=\'rek\'>'; 
$num=1;}
$kol_files = mysql_num_rows(mysql_query("SELECT id FROM `obmen` WHERE `id_razd` = '$razd[id_razd]' AND `ras` != '' AND `mod` = '1'"));
echo '<img src=\'styles/img/razd.png\' alt=\'image\'/> ';
echo '<a href=\'?id='.$razd['id'].'\'>'.$razd['name'].'</a>('.$kol_files.')</div>';
}
if($user['level']==4 OR $user['level']==6 OR $user['level']==7 OR $user['level']==8 OR $user['level']>=9){
echo '<div class=\'menu\'><a href=\'?act=adm\'>Добавление разделов</a></div>';
}
include_once('incs/down.php');
?>